#
# spec file for package minuet
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           minuet
BuildRequires:  extra-cmake-modules >= 1.3.0
BuildRequires:  kf5-filesystem
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5XmlGui)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DocTools)
BuildRequires:  cmake(Qt5Core) >= 5.4.0
BuildRequires:  cmake(Qt5Gui) >= 5.4.0
BuildRequires:  cmake(Qt5Widgets) >= 5.4.0
BuildRequires:  cmake(Qt5Quick) >= 5.4.0
BuildRequires:  pkgconfig
BuildRequires:  alsa-devel
BuildRequires:  libdrumstick-devel
Url:            http://www.kde.org
Summary:        A KDE Software for Music Education
License:        GPL-2.0+
Group:          Productivity/Other
Version:        16.04.3
Release:        2.3
Source:         minuet-%{version}.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Application for Music Education.

%lang_package
%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file org.kde.minuet Music

%files
%defattr(-,root,root)
%doc COPYING* README*
%{_kf5_bindir}/minuet
%{_kf5_sharedir}/appdata/org.kde.minuet.appdata.xml
%{_kf5_applicationsdir}/org.kde.minuet.desktop
%{_kf5_htmldir}/en/minuet/
%{_kf5_iconsdir}/hicolor
%{_kf5_sharedir}/kxmlgui5/minuet/
%{_kf5_sharedir}/minuet/

%changelog
* Fri Jul  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Tue May 17 2016 lbeltrame@kde.org
- Drop useless ldconfig calls
* Tue May 17 2016 lbeltrame@kde.org
- Update to KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Tue Apr 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
